<?php
/**
 * システム系コマンドのラッパー
 * $Id: SystemUtil.inc,v 1.1 2015/10/08 11:18:56 wanggb Exp $
 * @author iimuro
 * @access public
 * @package jp.aimslib2.util
 */
 
class SystemUtil {
	
	
	
	/**
	 * サーバーの負荷を返します。
	 * Load averageの値
	 * @return array (過去 1、5、15 分間の) 三つの値を array で返します。 
	 */
	public function getLoadAverage() {
		
		$command = "uptime";
		
		$result = exec($command);
		// 23:17:06  up 317 days, 22:05,  1 user,  load average: 0.70, 0.67, 0.53
		$pattern = "/load average:\\s(\\d+\\.\\d\\d),\\s(\\d+\\.\\d\\d),\\s(\\d+\\.\\d\\d)\$/";
		if (preg_match($pattern, $result, $m)) {
			
			return array($m[1], $m[2], $m[3]);
		} else {
			return array(-1, -1, -1);
		}
		
	}
	
}

?>